# Get bank transfer requirements

GET https://api.letsdeel.com/rest/v2/payouts/contractors/methods/bank_transfers/requirements

Retrieve requireements for bank transfer method creation
 **Token scopes**: `worker:read`, `worker:write`

Reference: https://developer.deel.com/api/reference/endpoints/payouts/get-bank-transfer-requirements

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /payouts/contractors/methods/bank_transfers/requirements:
    get:
      operationId: get-bank-transfer-requirements
      summary: Get bank transfer requirements
      description: |-
        Retrieve requireements for bank transfer method creation
         **Token scopes**: `worker:read`, `worker:write`
      tags:
        - subpackage_payouts
      parameters:
        - name: country
          in: query
          description: Country code
          required: true
          schema:
            type: string
        - name: currency
          in: query
          description: Currency code
          required: true
          schema:
            type: string
        - name: amount
          in: query
          description: >-
            Amount for calculating fees, if not provided, the default amount of
            100.00 is used
          required: false
          schema:
            type: number
            format: double
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful operation.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Payouts_getBankTransferRequirements_Response_200
        '400':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '401':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '403':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '404':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '500':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    PayoutsContractorsMethodsBankTransfersRequirementsGetResponsesContentApplicationJsonSchemaDataItemsFieldsItemsGroupItemsType:
      type: string
      enum:
        - text
        - radio
        - select
        - date_local
      description: The type of the field, such as text, radio, select, or date_local.
      title: >-
        PayoutsContractorsMethodsBankTransfersRequirementsGetResponsesContentApplicationJsonSchemaDataItemsFieldsItemsGroupItemsType
    PayoutsContractorsMethodsBankTransfersRequirementsGetResponsesContentApplicationJsonSchemaDataItemsFieldsItemsGroupItemsValuesAllowedItems:
      type: object
      properties:
        key:
          type: string
          description: The country code (e.g., AL for Albania).
        name:
          type: string
          description: The full name of the country (e.g., Albania).
      required:
        - key
        - name
      title: >-
        PayoutsContractorsMethodsBankTransfersRequirementsGetResponsesContentApplicationJsonSchemaDataItemsFieldsItemsGroupItemsValuesAllowedItems
    PayoutsContractorsMethodsBankTransfersRequirementsGetResponsesContentApplicationJsonSchemaDataItemsFieldsItemsGroupItems:
      type: object
      properties:
        key:
          type: string
          description: The key of the field in the method creaion payload
        name:
          type: string
          description: User facing name of property
        type:
          $ref: >-
            #/components/schemas/PayoutsContractorsMethodsBankTransfersRequirementsGetResponsesContentApplicationJsonSchemaDataItemsFieldsItemsGroupItemsType
          description: The type of the field, such as text, radio, select, or date_local.
        example:
          type: string
          description: Example value for the field
        required:
          type: boolean
          description: Whether the field is required
        max_length:
          type: integer
          description: The maximum length of the field
        values_allowed:
          type: array
          items:
            $ref: >-
              #/components/schemas/PayoutsContractorsMethodsBankTransfersRequirementsGetResponsesContentApplicationJsonSchemaDataItemsFieldsItemsGroupItemsValuesAllowedItems
          description: An array of allowed values with corresponding key and name.
        validation_regexp:
          type: string
          description: The regular expression to validate the field
        refresh_requirements_on_change:
          type: boolean
          description: >-
            Whether to refresh the requirements when the field value changes
            with field key as query parameter
      required:
        - key
        - name
        - type
        - required
      title: >-
        PayoutsContractorsMethodsBankTransfersRequirementsGetResponsesContentApplicationJsonSchemaDataItemsFieldsItemsGroupItems
    PayoutsContractorsMethodsBankTransfersRequirementsGetResponsesContentApplicationJsonSchemaDataItemsFieldsItems:
      type: object
      properties:
        name:
          type: string
        group:
          type: array
          items:
            $ref: >-
              #/components/schemas/PayoutsContractorsMethodsBankTransfersRequirementsGetResponsesContentApplicationJsonSchemaDataItemsFieldsItemsGroupItems
      required:
        - name
        - group
      title: >-
        PayoutsContractorsMethodsBankTransfersRequirementsGetResponsesContentApplicationJsonSchemaDataItemsFieldsItems
    PayoutsContractorsMethodsBankTransfersRequirementsGetResponsesContentApplicationJsonSchemaDataItemsIntermediaryItemsGroupItemsValuesAllowedItems:
      type: object
      properties:
        key:
          type: string
          description: The country code (e.g., AL for Albania).
        name:
          type: string
          description: The full name of the country (e.g., Albania).
      required:
        - key
        - name
      title: >-
        PayoutsContractorsMethodsBankTransfersRequirementsGetResponsesContentApplicationJsonSchemaDataItemsIntermediaryItemsGroupItemsValuesAllowedItems
    PayoutsContractorsMethodsBankTransfersRequirementsGetResponsesContentApplicationJsonSchemaDataItemsIntermediaryItemsGroupItems:
      type: object
      properties:
        key:
          type: string
        name:
          type: string
          description: User facing name of the intermediary object
        type:
          type: string
        example:
          type: string
          description: Example value for the field
        required:
          type: boolean
          description: Whether the field is required
        max_length:
          type: integer
          description: The maximum length of the field
        min_length:
          type: integer
          description: The minimum length of the field
        values_allowed:
          type: array
          items:
            $ref: >-
              #/components/schemas/PayoutsContractorsMethodsBankTransfersRequirementsGetResponsesContentApplicationJsonSchemaDataItemsIntermediaryItemsGroupItemsValuesAllowedItems
          description: An array of allowed values with corresponding key and name.
        validation_regexp:
          type: string
          description: The regular expression to validate the field
      required:
        - key
        - name
        - type
        - required
      title: >-
        PayoutsContractorsMethodsBankTransfersRequirementsGetResponsesContentApplicationJsonSchemaDataItemsIntermediaryItemsGroupItems
    PayoutsContractorsMethodsBankTransfersRequirementsGetResponsesContentApplicationJsonSchemaDataItemsIntermediaryItems:
      type: object
      properties:
        name:
          type: string
          description: User facing name of the intermediary object
        group:
          type: array
          items:
            $ref: >-
              #/components/schemas/PayoutsContractorsMethodsBankTransfersRequirementsGetResponsesContentApplicationJsonSchemaDataItemsIntermediaryItemsGroupItems
      required:
        - name
        - group
      title: >-
        PayoutsContractorsMethodsBankTransfersRequirementsGetResponsesContentApplicationJsonSchemaDataItemsIntermediaryItems
    PayoutsContractorsMethodsBankTransfersRequirementsGetResponsesContentApplicationJsonSchemaDataItems:
      type: object
      properties:
        type:
          type: string
          description: >-
            Type of bank transfer, such as local, swift, iban. Maps to
            selected_option in method creation data.
        title:
          type: string
          description: Title of the bank transfer method
        fields:
          type: array
          items:
            $ref: >-
              #/components/schemas/PayoutsContractorsMethodsBankTransfersRequirementsGetResponsesContentApplicationJsonSchemaDataItemsFieldsItems
          description: >-
            Each field key is input field for the bank transfer method creation
            payload.
        total_fee:
          type: string
          description: Fee preview for amount provided in query parameter
        intermediary:
          type: array
          items:
            $ref: >-
              #/components/schemas/PayoutsContractorsMethodsBankTransfersRequirementsGetResponsesContentApplicationJsonSchemaDataItemsIntermediaryItems
          description: >-
            Each field is input for the bank transfer method creation payload
            intermediary object
      required:
        - type
        - title
        - fields
        - total_fee
      title: >-
        PayoutsContractorsMethodsBankTransfersRequirementsGetResponsesContentApplicationJsonSchemaDataItems
    Payouts_getBankTransferRequirements_Response_200:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: >-
              #/components/schemas/PayoutsContractorsMethodsBankTransfersRequirementsGetResponsesContentApplicationJsonSchemaDataItems
      required:
        - data
      title: Payouts_getBankTransferRequirements_Response_200
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/payouts/contractors/methods/bank_transfers/requirements"

querystring = {"country":"country","currency":"currency"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/payouts/contractors/methods/bank_transfers/requirements?country=country&currency=currency';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/payouts/contractors/methods/bank_transfers/requirements?country=country&currency=currency"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/payouts/contractors/methods/bank_transfers/requirements?country=country&currency=currency")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/v2/payouts/contractors/methods/bank_transfers/requirements?country=country&currency=currency")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/v2/payouts/contractors/methods/bank_transfers/requirements?country=country&currency=currency', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/payouts/contractors/methods/bank_transfers/requirements?country=country&currency=currency");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/payouts/contractors/methods/bank_transfers/requirements?country=country&currency=currency")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```